CREATE TABLE "public"."hs_config_table" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "key" varchar(255) COLLATE "pg_catalog"."default",
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "json_value" varchar COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_config_table_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_config_table" OWNER TO "postgres";

ALTER TABLE "public"."hs_device_switch" ADD COLUMN "on_line_time" int8;

COMMENT ON COLUMN "public"."hs_device_switch"."on_line_time" IS '在线时长';

ALTER TABLE "public"."hs_device_switch_hour" ADD COLUMN "on_line_time" int8;

COMMENT ON COLUMN "public"."hs_device_switch_hour"."on_line_time" IS '在线时长';

CREATE TABLE "public"."hs_level_role" (
  "role_id" uuid NOT NULL,
  "p_id" uuid NOT NULL,
  CONSTRAINT "hs_level_role_pkey" PRIMARY KEY ("role_id", "p_id")
)
;

ALTER TABLE "public"."hs_level_role" OWNER TO "postgres";

ALTER TABLE "public"."hs_role" ADD COLUMN "role_public" bool;

ALTER TABLE "public"."hs_role" DROP COLUMN "factory_id";

ALTER TABLE "public"."hs_role" DROP COLUMN "type";

ALTER TABLE "public"."hs_role" DROP COLUMN "user_level";

CREATE TABLE "public"."hs_role_menu_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "menu_id" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  "flg" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "role_menu_relation_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_role_menu_relation" OWNER TO "postgres";

CREATE TABLE "public"."hs_user_extension" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "address" varchar(255) COLLATE "pg_catalog"."default",
  "avatar" varchar(255) COLLATE "pg_catalog"."default",
  "bind_time" int8,
  "include_nick_name" varchar(255) COLLATE "pg_catalog"."default",
  "open_id" varchar(255) COLLATE "pg_catalog"."default",
  "phone_number" varchar(255) COLLATE "pg_catalog"."default",
  "registrate_applet" varchar(255) COLLATE "pg_catalog"."default",
  "user_code" varchar(255) COLLATE "pg_catalog"."default",
  "user_id" uuid,
  "user_name" varchar(255) COLLATE "pg_catalog"."default",
  "virtual_code" int4,
  "wechat_nick_name" varchar(255) COLLATE "pg_catalog"."default",
  "wechat_sign_status" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_user_extension_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_user_extension" OWNER TO "postgres";

CREATE TABLE "public"."hs_user_role_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  "user_id" uuid,
  CONSTRAINT "user_role_relation_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_user_role_relation" OWNER TO "postgres";

CREATE TABLE "public"."hs_wechat_apply_history" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "apply_info" varchar(255) COLLATE "pg_catalog"."default",
  "avatar" varchar(255) COLLATE "pg_catalog"."default",
  "factory_id" uuid,
  "wechat_nick_name" varchar(255) COLLATE "pg_catalog"."default",
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "open_id" varchar(255) COLLATE "pg_catalog"."default",
  "review_status" varchar(255) COLLATE "pg_catalog"."default",
  "sex" varchar(255) COLLATE "pg_catalog"."default"
)
;

ALTER TABLE "public"."hs_wechat_apply_history" OWNER TO "postgres";

CREATE TABLE "public"."role_menu_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "menu_id" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  CONSTRAINT "role_menu_relation_pkey1" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."role_menu_relation" OWNER TO "postgres";


CREATE TABLE "public"."tcode_model" (
  "id" uuid NOT NULL,
  "gid" uuid,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "updated_user" uuid,
  "driver_version" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "updated_time" int8,
  "created_time" int8,
  CONSTRAINT "tcode_model_pkey" PRIMARY KEY ("id", "code")
)
;

ALTER TABLE "public"."tcode_model" OWNER TO "postgres";

CREATE TABLE "public"."tcode_model_detail" (
  "id" uuid NOT NULL,
  "gid" uuid,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "grpcode" varchar(255) COLLATE "pg_catalog"."default",
  "unit_id" uuid,
  "kup" varchar(255) COLLATE "pg_catalog"."default",
  "kdwn" varchar(255) COLLATE "pg_catalog"."default",
  "ksetup" varchar(255) COLLATE "pg_catalog"."default",
  "sort" varchar(255) COLLATE "pg_catalog"."default" DEFAULT '1000'::character varying,
  "halt" char(1) COLLATE "pg_catalog"."default" DEFAULT 'F'::bpchar,
  "ex_s1" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s2" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s3" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s4" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s5" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "updated_user" uuid,
  "standard" varchar(255) COLLATE "pg_catalog"."default",
  "hour" bool,
  "day" bool,
  "change" bool,
  "tenant_id" uuid,
  "val" varchar(255) COLLATE "pg_catalog"."default",
  "created_time" int8,
  "updated_time" int8,
  "kup_time" int8,
  "ksetup_time" int8,
  "kdwn_time" int8,
  CONSTRAINT "tcode_model_detail_pkey" PRIMARY KEY ("id", "code", "key")
)
;

ALTER TABLE "public"."tcode_model_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_model_detail"."id" IS '属性ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."gid" IS '网关ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."code" IS '模型代码';

COMMENT ON COLUMN "public"."tcode_model_detail"."key" IS '属性key';

COMMENT ON COLUMN "public"."tcode_model_detail"."grpcode" IS '分组ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."unit_id" IS '单位ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."kup" IS '上限值';

COMMENT ON COLUMN "public"."tcode_model_detail"."kdwn" IS '下限值';

COMMENT ON COLUMN "public"."tcode_model_detail"."ksetup" IS '设定值';

COMMENT ON COLUMN "public"."tcode_model_detail"."sort" IS '排序';

COMMENT ON COLUMN "public"."tcode_model_detail"."halt" IS '是否停用';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s1" IS '扩展字段1';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s2" IS '扩展字段2';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s3" IS '扩展字段3';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s4" IS '扩展字段4';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s5" IS '扩展字段5';

COMMENT ON COLUMN "public"."tcode_model_detail"."standard" IS '标准值';

COMMENT ON COLUMN "public"."tcode_model_detail"."hour" IS '每小时存储';

COMMENT ON COLUMN "public"."tcode_model_detail"."day" IS '每天存储';

COMMENT ON COLUMN "public"."tcode_model_detail"."change" IS '属性值变化存储';

COMMENT ON COLUMN "public"."tcode_model_detail"."val" IS '属性名';

COMMENT ON COLUMN "public"."tcode_model_detail"."kup_time" IS '上限值时间';

COMMENT ON COLUMN "public"."tcode_model_detail"."ksetup_time" IS '设定值更新时间';

COMMENT ON COLUMN "public"."tcode_model_detail"."kdwn_time" IS '下限值设定时间';

CREATE TABLE "public"."tcode_unit" (
  "id" uuid NOT NULL,
  "descript" varchar(255) COLLATE "pg_catalog"."default",
  "created_time" int8,
  "updated_time" int8,
  "created_user" uuid,
  "updated_user" uuid,
  "tenant_id" uuid,
  CONSTRAINT "tcode_unit_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."tcode_unit" OWNER TO "postgres";

CREATE TABLE "public"."tmsg" (
  "msg" varchar(255) COLLATE "pg_catalog"."default"
)
;

ALTER TABLE "public"."tmsg" OWNER TO "postgres";

CREATE TABLE "public"."user_role_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  "user_id" uuid,
  CONSTRAINT "user_role_relation_pkey1" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."user_role_relation" OWNER TO "postgres";

ALTER TABLE "public"."hs_level_role" ADD CONSTRAINT "fkdksrna0gfh9ct8lth5gq8inyb" FOREIGN KEY ("role_id") REFERENCES "public"."hs_role" ("id") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "public"."hs_level_role" ADD CONSTRAINT "fkkn8ks2krh0ktkoxf0itq8yx9a" FOREIGN KEY ("p_id") REFERENCES "public"."hs_role" ("id") ON DELETE NO ACTION ON UPDATE NO ACTION;

SELECT setval('"public"."ts_kv_dictionary_key_id_seq"', 543, true);

CREATE VIEW "public"."vcode_key_detail" AS  SELECT hs.tenant_id AS tid,
                                                   hs.factory_id AS fid,
                                                   hs.factory_name AS fname,
                                                   hs.workshop_id AS wid,
                                                   hs.workshop_name AS wname,
                                                   hs.group_id AS grpid,
                                                   hs.group_name AS grpname,
                                                   hs.gateway_id AS gid,
                                                   hs.gateway_name AS gname,
                                                   hs.key,
                                                   hs.key_id,
                                                   hs.entity_id AS did,
                                                   hs.enable,
                                                   hs.device_name AS dname,
                                                   hs.device_type,
                                                   hs.history_lower,
                                                   hs.history_upper,
                                                   hs.volume_on_day,
                                                   concat(ts1.dbl_v, ts1.long_v, ts1.str_v) AS val,
                                                   ts1.dbl_v,
                                                   ts1.long_v,
                                                   ts1.str_v,
                                                   ts1.bool_v,
                                                   to_jsonb(ts1.json_v) AS json_v,
                                                   ts1.ts,
                                                   to_char(timezone('UTC-8'::text, to_timestamp((ts1.ts / 1000)::double precision)), 'yyyy-MM-dd HH24:MI:SS'::text) AS update_time
                                            FROM ts_kv_latest ts1,
                                                 hs_last_expand_extension hs
                                            WHERE ts1.entity_id = hs.entity_id AND ts1.key = hs.key_id AND NOT ((hs.entity_id, hs.key::text) IN ( SELECT ak.entity_id,
                                                                                                                                                         ak.attribute_key
                                                                                                                                                  FROM attribute_kv ak
                                                                                                                                                  WHERE ak.attribute_type::text = 'CLIENT_SCOPE'::text AND ak.entity_type::text = 'DEVICE'::text))
        UNION
SELECT hde.tenant_id AS tid,
       hde.factory_id AS fid,
       c.title AS fname,
       hde.workshop_id AS wid,
       a.name AS wname,
       hde.group_id AS grpid,
       a1.name AS grpname,
       NULL::uuid AS gid,
        NULL::character varying AS gname,
    ak.attribute_key AS key,
    NULL::integer AS key_id,
    ak.entity_id AS did,
    NULL::boolean AS enable,
    d.name AS dname,
    NULL::character varying AS device_type,
    NULL::character varying AS history_lower,
    NULL::character varying AS history_upper,
    NULL::bigint AS volume_on_day,
    concat(ak.dbl_v, ak.long_v, ak.str_v) AS val,
    ak.dbl_v,
    ak.long_v,
    ak.str_v,
    ak.bool_v,
    to_jsonb(ak.json_v) AS json_v,
    ak.last_update_ts AS ts,
    to_char(timezone('UTC-8'::text, to_timestamp((ak.last_update_ts / 1000)::double precision)), 'yyyy-MM-dd HH24:MI:SS'::text) AS update_time
FROM attribute_kv ak
    LEFT JOIN hs_device_extension hde ON hde.id = ak.entity_id
    JOIN device d ON hde.id = d.id
    LEFT JOIN customer c ON hde.factory_id = c.id
    LEFT JOIN asset a ON hde.workshop_id = a.id AND a.type::text = 'workshop'::text
    LEFT JOIN asset a1 ON hde.group_id = a1.id AND a.type::text = 'group'::text
WHERE ak.attribute_type::text = 'CLIENT_SCOPE'::text AND ak.entity_type::text = 'DEVICE'::text;

ALTER TABLE "public"."vcode_key_detail" OWNER TO "postgres";


CREATE VIEW "public"."v_device" AS  SELECT c.id,
                                           c.name,
                                           c.tenant_id,
                                           c.group_id,
                                           c.group_name,
                                           c.workshop_id,
                                           c.workshop_name,
                                           CASE
                                               WHEN c.gateway = 'false'::text THEN c.factory_id
                                               ELSE d.id
                                               END AS factory_id,
                                           CASE
                                               WHEN c.gateway = 'false'::text THEN c.factory_name
                                               ELSE d.title
                                               END AS factory_name,
                                           c.gateway,
                                           c.created_time,
                                           c.created_time_format
                                    FROM ( SELECT a.id,
                                                  a.name,
                                                  a.tenant_id,
                                                  b.id AS group_id,
                                                  b.name AS group_name,
                                                  c_1.id AS workshop_id,
                                                  c_1.name AS workshop_name,
                                                  d_1.id AS factory_id,
                                                  d_1.title AS factory_name,
                                                  CASE
                                                      WHEN (a.additional_info::jsonb ->> 'gateway'::text) IS NOT NULL THEN a.additional_info::jsonb ->> 'gateway'::text
                                                      ELSE 'false'::text
                                                      END AS gateway,
                                                  a.created_time,
                                                  to_char(to_timestamp((a.created_time / 1000)::double precision), 'YYYY-MM-DD HH24:MI:SS'::text) AS created_time_format
                                           FROM device a
                                                    LEFT JOIN relation ab ON ab.to_id = a.id AND ab.to_type::text = 'DEVICE'::text AND ab.from_type::text = 'ASSET'::text AND ab.relation_type_group::text = 'COMMON'::text AND ab.relation_type::text = 'Contains'::text
             LEFT JOIN ( SELECT b_1.id,
                    b_1.created_time,
                    b_1.additional_info,
                    b_1.customer_id,
                    b_1.name,
                    b_1.label,
                    b_1.search_text,
                    b_1.tenant_id,
                    b_1.type,
                    b_1.external_id,
                    b_1.asset_profile_id
                   FROM asset b_1
                  WHERE b_1.type::text = 'group'::text) b ON b.id = ab.from_id
                                               LEFT JOIN relation bc ON bc.to_id = b.id AND bc.to_type::text = 'ASSET'::text AND bc.from_type::text = 'ASSET'::text AND bc.relation_type_group::text = 'COMMON'::text AND bc.relation_type::text = 'Contains'::text
                                               LEFT JOIN ( SELECT b_1.id,
                                               b_1.created_time,
                                               b_1.additional_info,
                                               b_1.customer_id,
                                               b_1.name,
                                               b_1.label,
                                               b_1.search_text,
                                               b_1.tenant_id,
                                               b_1.type,
                                               b_1.external_id,
                                               b_1.asset_profile_id
                                               FROM asset b_1
                                               WHERE b_1.type::text = 'workshop'::text) c_1 ON c_1.id = bc.from_id
                                               LEFT JOIN relation cd_1 ON cd_1.to_id = c_1.id AND cd_1.to_type::text = 'ASSET'::text AND cd_1.from_type::text = 'CUSTOMER'::text AND cd_1.relation_type_group::text = 'COMMON'::text AND cd_1.relation_type::text = 'Contains'::text
                                               LEFT JOIN customer d_1 ON d_1.id = cd_1.from_id) c
                                             LEFT JOIN relation cd ON cd.to_id = c.id AND c.gateway = 'true'::text AND cd.to_type::text = 'DEVICE'::text AND cd.from_type::text = 'CUSTOMER'::text AND cd.relation_type_group::text = 'COMMON'::text AND cd.relation_type::text = 'Contains'::text
     LEFT JOIN customer d ON d.id = cd.from_id;

ALTER TABLE "public"."v_device" OWNER TO "postgres";


CREATE VIEW "public"."v_device_from_gateway" AS  SELECT a.id,
                                                        a.name,
                                                        a.tenant_id,
                                                        a.factory_id,
                                                        a.factory_name,
                                                        a.workshop_id,
                                                        a.workshop_name,
                                                        a.group_id,
                                                        a.group_name,
                                                        a.created_time,
                                                        a.created_time_format,
                                                        a.gid::uuid AS gid,
                                                         b.name AS gname,
                                                        c.factory_id AS g_factory_id,
                                                        c.factory_name AS g_factory_name
                                                 FROM ( SELECT a_1.id,
                                                               a_1.name,
                                                               a_1.tenant_id,
                                                               a_1.factory_id,
                                                               a_1.factory_name,
                                                               a_1.workshop_id,
                                                               a_1.workshop_name,
                                                               a_1.group_id,
                                                               a_1.group_name,
                                                               a_1.gateway,
                                                               a_1.created_time,
                                                               a_1.created_time_format,
                                                               CASE
                                                                   WHEN (b_1.additional_info::jsonb ->> 'lastConnectedGateway'::text) IS NOT NULL THEN b_1.additional_info::jsonb ->> 'lastConnectedGateway'::text
                                                                   ELSE NULL::text
                                                                   END AS gid
                                                        FROM v_device a_1,
                                                             device b_1
                                                        WHERE a_1.id = b_1.id AND a_1.gateway <> 'true'::text) a
                                                          LEFT JOIN device b ON a.gid = b.id::text
     LEFT JOIN v_device c ON b.id = c.id AND c.gateway = 'true'::text;

ALTER TABLE "public"."v_device_from_gateway" OWNER TO "postgres";


CREATE UNIQUE INDEX "tcode_model_index" ON "public"."tcode_model" USING btree (
  "id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "code" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "tcode_unit_index" ON "public"."tcode_unit" USING btree (
  "id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "descript" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);


INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ad4cd5a0-37dc-11ed-b2f0-013aa5277d02', 'XTCD1663565645807', '仪表看板', 0, 1, NULL, NULL, 'dashboard', NULL, 'Global', 1663565645833, '85088750-1ea1-11ed-a8be-71239561244e', '1663565645833', NULL, 'PC', NULL, 'f', 'dashboard.dashboard-view');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('cfb48340-37dc-11ed-b2f0-013aa5277d02', 'XTCD1663565703539', '大屏看板', 1, 2, NULL, 'ad4cd5a0-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1663569960126, '85088750-1ea1-11ed-a8be-71239561244e', '1663569960126', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/largeScreenDashboard', 'f', 'dashboard.largescreen-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('bdba8e90-37e2-11ed-b2f0-013aa5277d02', 'XTCD1663568250360', 'PC仪表看板', 1, 3, NULL, 'ad4cd5a0-37dc-11ed-b2f0-013aa5277d02', 'mdi:monitor-dashboard', NULL, 'Global', 1663569968676, '85088750-1ea1-11ed-a8be-71239561244e', '1663569968676', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/dashboardView', 'f', 'dashboard.dashboard-view-pc');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('18036750-37e8-11ed-9cee-ab412dc6d429', 'XTCD1663570549299', '工厂管理', 1, 5, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'mdi:factory', NULL, 'Global', 1663570574334, '85088750-1ea1-11ed-a8be-71239561244e', '1663570574334', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/factories', 'f', 'factory.factory-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('4c5da7e0-37e8-11ed-9cee-ab412dc6d429', 'XTCD1663570637148', '设备列表', 1, 6, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'mdi:devices', NULL, 'Global', 1663570646671, '85088750-1ea1-11ed-a8be-71239561244e', '1663570646671', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/deviceList', 'f', 'device.device-list');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('782a4590-37e8-11ed-aa50-33c3c4d399b5', 'XTCD1663570710633', '网关列表', 1, 7, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'router', NULL, 'Global', 1663570710695, '85088750-1ea1-11ed-a8be-71239561244e', '1663570710695', NULL, 'PC', '/gateway', 'f', 'gateway.gateway-devices');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'XTCD1663570063876', '设备管理', 0, 4, NULL, NULL, 'devices', NULL, 'Global', 1663570725071, '85088750-1ea1-11ed-a8be-71239561244e', '1663570725071', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', NULL, 'f', 'device.management');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'XTCD1663570807093', '权限管理', 0, 8, NULL, NULL, 'verified_user', NULL, 'Global', 1663570819083, '85088750-1ea1-11ed-a8be-71239561244e', '1663570819083', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', NULL, 'f', 'auth-mng.auth-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('13243100-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663570970640', '小程序申请', 1, 9, NULL, 'b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'mdi:applet', NULL, 'Global', 1663570970641, '85088750-1ea1-11ed-a8be-71239561244e', '1663570970641', NULL, 'PC', '/authManagement/appletManagement', 'f', 'auth-mng.applet-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('296c1450-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571008021', '用户管理', 1, 10, NULL, 'b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'people', NULL, 'Global', 1663571008022, '85088750-1ea1-11ed-a8be-71239561244e', '1663571008022', NULL, 'PC', '/authManagement/userManagement', 'f', 'auth-mng.user-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('546905f0-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571080143', '角色管理', 1, 11, NULL, 'b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'mdi:shield-account', NULL, 'Global', 1663571080144, '85088750-1ea1-11ed-a8be-71239561244e', '1663571080144', NULL, 'PC', '/authManagement/roleManagemnet', 'f', 'auth-mng.role-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571172105', '平台管理', 0, 12, NULL, NULL, 'mdi:platform-mng', NULL, 'Global', 1663571172106, '85088750-1ea1-11ed-a8be-71239561244e', '1663571172106', NULL, 'PC', NULL, 'f', 'platform.platform-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('0cbcb0e0-f2d2-11ed-8683-bfc262abdbec', 'XTCD1684121948907', '大屏管理', 1, 47, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'mdi:monitor-dashboard', NULL, 'Global', 1684121949056, 'abd5b000-38ce-11ed-be80-751173af0b60', '1684121949056', NULL, 'PC', '/platformManagement/dashboardManagement', 'f', 'platform-mng.dashboard-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('01c89170-37ea-11ed-aa50-33c3c4d399b5', 'XTCD1663571371015', '规则链库', 1, 14, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'settings_ethernet', NULL, 'Global', 1663571371016, '85088750-1ea1-11ed-a8be-71239561244e', '1663571371016', NULL, 'PC', '/ruleChains', 'f', 'rulechain.rulechains');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ff09f130-37ea-11ed-aa50-33c3c4d399b5', 'XTCD1663571795907', '实体视图', 1, 15, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'view_quilt', NULL, 'Global', 1663571795907, '85088750-1ea1-11ed-a8be-71239561244e', '1663571795907', NULL, 'PC', '/entityViews', 'f', 'entity-view.entity-views');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('12f8c950-37eb-11ed-aa50-33c3c4d399b5', 'XTCD1663571829349', '部件库', 1, 16, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'now_widgets', NULL, 'Global', 1663571829350, '85088750-1ea1-11ed-a8be-71239561244e', '1663571829350', NULL, 'PC', '/widgets-bundles', 'f', 'widget.widget-library');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('bbab6e90-37eb-11ed-aa50-33c3c4d399b5', 'XTCD1663572112377', '仪表板库', 1, 17, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'dashboards', NULL, 'Global', 1663572112378, '85088750-1ea1-11ed-a8be-71239561244e', '1663572112378', NULL, 'PC', '/dashboards', 'f', 'dashboard.dashboards');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('372e63b0-37ec-11ed-aa50-33c3c4d399b5', 'XTCD1663572319595', '日志', 1, 18, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'track_changes', NULL, 'Global', 1663572319595, '85088750-1ea1-11ed-a8be-71239561244e', '1663572319595', NULL, 'PC', '/auditLogs', 'f', 'audit-log.audit-logs');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('842cc710-37ec-11ed-aa50-33c3c4d399b5', 'XTCD1663572448768', 'Api使用统计', 1, 19, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'insert_chart', NULL, 'Global', 1663572460669, '85088750-1ea1-11ed-a8be-71239561244e', '1663572460669', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/usage', 'f', 'api-usage.api-usage');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ebe275d0-37ec-11ed-aa50-33c3c4d399b5', 'XTCD1663572622765', '系统设置', 0, 20, NULL, NULL, 'settings', NULL, 'Global', 1663572622766, '85088750-1ea1-11ed-a8be-71239561244e', '1663572622766', NULL, 'PC', NULL, 'f', 'admin.system-settings');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('66bafa20-37ed-11ed-aa50-33c3c4d399b5', 'XTCD1663572828866', '首页设置', 1, 21, NULL, 'ebe275d0-37ec-11ed-aa50-33c3c4d399b5', 'settings_applications', NULL, 'Global', 1663572828866, '85088750-1ea1-11ed-a8be-71239561244e', '1663572828866', NULL, 'PC', '/settings/home', 'f', 'admin.home-settings');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1fd0dfc0-37ee-11ed-aa50-33c3c4d399b5', 'XTCD1663573139388', '资源库', 1, 22, NULL, 'ebe275d0-37ec-11ed-aa50-33c3c4d399b5', 'folder', NULL, 'Global', 1663573139389, '85088750-1ea1-11ed-a8be-71239561244e', '1663573139389', NULL, 'PC', '/settings/resources-library', 'f', 'resource.resources-library');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('918f86c0-37ee-11ed-aa50-33c3c4d399b5', 'XTCD1663573330220', '对外接口', 0, 23, NULL, NULL, 'mdi:open-api', NULL, 'Global', 1663573330221, '85088750-1ea1-11ed-a8be-71239561244e', '1663573330221', NULL, 'PC', NULL, 'f', 'open-api.open-api');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('fdabc3f0-37ee-11ed-aa50-33c3c4d399b5', 'XTCD1663573511599', '外部应用管理', 1, 24, NULL, '918f86c0-37ee-11ed-aa50-33c3c4d399b5', 'mdi:app-mng', NULL, 'Global', 1663573511600, '85088750-1ea1-11ed-a8be-71239561244e', '1663573511600', NULL, 'PC', '/openApi/externalApplicationManagement', 'f', 'open-api.external-apps-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1b13fe80-37ef-11ed-aa50-33c3c4d399b5', 'XTCD1663573560936', '推送配置', 1, 25, NULL, '918f86c0-37ee-11ed-aa50-33c3c4d399b5', 'mdi:push', NULL, 'Global', 1663573560937, '85088750-1ea1-11ed-a8be-71239561244e', '1663573560937', NULL, 'PC', '/openApi/pushProfile', 'f', 'open-api.push-profile');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1ca72bc0-7091-11ed-8bf2-4f22d574b734', 'XTCD1669800407163', '设备开停机报表', 1, 41, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=junlin_day_sta_detail', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1669800407222, 'abd5b000-38ce-11ed-be80-751173af0b60', '1669800407222', NULL, 'PC', '/iframe/repSta', 'f', '设备开停机报表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('3a59bc60-b456-11ed-84b0-43c6c676219c', 'XTCD1677251795750', '区间能耗报表', 1, 42, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=pub_column_report', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1677251795770, 'abd5b000-38ce-11ed-be80-751173af0b60', '1677251795770', NULL, 'PC', '/iframe/columnReport', 'f', '区间能耗报表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('6c4ef570-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250154566', '电能看板', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250154578, '85088750-1ea1-11ed-a8be-71239561244e', '1664250154578', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('79945400-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250176832', '能耗看板', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250176833, '85088750-1ea1-11ed-a8be-71239561244e', '1664250176833', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8173dc90-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250190041', '遥测点', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250190042, '85088750-1ea1-11ed-a8be-71239561244e', '1664250190042', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('872e3b30-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250199651', '抄表看板', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250199653, '85088750-1ea1-11ed-a8be-71239561244e', '1664250199653', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8d86ae90-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250210297', '设备开停机', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250210298, '85088750-1ea1-11ed-a8be-71239561244e', '1664250210298', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('b8b97ef0-3a81-11ed-a00f-a93ec7a146a6', 'XTCD1663856434271', '设备', 1, 26, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'mdi:devices', NULL, 'Global', 1664422385939, 'abd5b000-38ce-11ed-be80-751173af0b60', '1664422385939', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/devices', 'f', 'device.devices');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('fb26e390-4a12-11ed-bc92-4daafd9d668b', 'XTCD1665568090185', '信息维护', 0, 30, NULL, NULL, 'mdi:maintenance', NULL, 'Global', 1665568090195, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568090195', NULL, 'PC', NULL, 'f', 'system-mng.system-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1891dd40-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568139540', '参数配置', 1, 31, NULL, 'fb26e390-4a12-11ed-bc92-4daafd9d668b', 'mdi:property-conf', NULL, 'Global', 1665568139541, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568139541', NULL, 'PC', '/systemManagement/properties', 'f', 'system-mng.property-configuration');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('2ff62d10-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568178785', '物模型', 1, 32, NULL, 'fb26e390-4a12-11ed-bc92-4daafd9d668b', 'mdi:digital-model', NULL, 'Global', 1665568178786, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568178786', NULL, 'PC', '/systemManagement/models', 'f', 'system-mng.digital-model');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('475dd840-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568218052', '电能看板', 1, 33, NULL, 'cfb48340-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1665568218053, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568218053', NULL, 'PC', NULL, 't', 'dashboard.electric-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('5cb456b0-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568253851', '能耗看板', 1, 34, NULL, 'cfb48340-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1665568253852, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568253852', NULL, 'PC', NULL, 't', 'dashboard.energy-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('77313120-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568298290', '设备开停机看板', 1, 35, NULL, 'cfb48340-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1665568298290, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568298290', NULL, 'PC', NULL, 't', 'dashboard.open-shutdown-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('9fe4ddb0-c001-11ed-a07d-c3cbf506f4d9', 'XTCD1678534872835', '电子抄表', 1, 43, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=pub_last_report', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1678534872853, 'abd5b000-38ce-11ed-be80-751173af0b60', '1678534872853', NULL, 'PC', '/iframe/lastReport', 'f', '电子抄表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('531bd690-1642-11ee-b727-edc9b1890b14', 'XTCD1688018461303', 'OTA升级', 1, 48, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'memory', NULL, 'Global', 1688018552390, 'abd5b000-38ce-11ed-be80-751173af0b60', '1688018552390', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/otaUpdates', 'f', 'ota-update.ota-updates');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', 'XTCD1664422361547', '设备报表-低代码', 0, 27, NULL, NULL, 'mdi:table', NULL, 'Global', 1666144392728, 'abd5b000-38ce-11ed-be80-751173af0b60', '1666144392728', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', NULL, 'f', '设备报表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8b33ceb0-3fa7-11ed-bef7-83ea816b6ac8', 'XTCD1664422434587', '班组能耗', 1, 28, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=junlin_group_detail', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', '', NULL, 'Global', 1666158658234, 'abd5b000-38ce-11ed-be80-751173af0b60', '1666158658234', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/groupEnergy', 'f', '班组能耗');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('66ab57e0-4842-11ed-af8a-cbe90563c5e2', 'XTCD1665368554590', '会计月度能耗', 1, 29, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=junlin_month_detail', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1666158681840, 'abd5b000-38ce-11ed-be80-751173af0b60', '1666158681840', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/repMonth', 'f', '会计月度能耗');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('e334a4f0-6166-11ed-8164-8f17526c0b6f', 'XTCD1668133004479', 'API管理', 1, 40, 'http://iot.dbapi.v3.textile-saas.huansi.net/#/api', '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'mdi:api', NULL, 'Global', 1668133004501, 'abd5b000-38ce-11ed-be80-751173af0b60', '1668133004501', NULL, 'PC', '/iframe/apiManagement', 'f', 'db-api.db-api');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('e5562890-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571323289', '设备配置', 1, 13, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'mdi:alpha-d-box', NULL, 'Global', 1683277031369, '85088750-1ea1-11ed-a8be-71239561244e', '1683277031369', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/profiles/deviceProfiles', 'f', 'device-profile.device-profiles');